Bug 506262 - X crash - FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1
X crash - FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
12
All Linux
high Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: i18n, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 09:41 EDT by Jaroslav Reznik
Modified: 2018-04-11 09:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-30 16:17:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.log (45.99 KB, text/plain)
2009-06-16 09:41 EDT, Jaroslav Reznik
no flags Details
Xorg.0.log (39.26 KB, application/x-trash)
2009-06-22 16:22 EDT, Martin Naď
no flags Details
Xorg.0.log.old (32.78 KB, text/plain)
2009-06-30 15:44 EDT, Kyle Pablo
no flags Details
My Xorg log file showing the backtrace (14.51 KB, text/plain)
2009-07-11 01:00 EDT, Robert Irelan
no flags Details
Xorg log crash (30.75 KB, text/plain)
2009-07-22 12:38 EDT, Kyle Pablo
no flags Details
Xorg log file with backtrace of the crash (17.64 KB, text/plain)
2009-09-24 18:30 EDT, Nathan G. Grennan
no flags Details

  None (edit)
Description Jaroslav Reznik 2009-06-16 09:41:44 EDT
Created attachment 348110 [details]
xorg.log

Description of problem: X server crashes while using it...

FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1

Backtrace:
0: /usr/bin/X(xorg_backtrace+0x26) [0x4e89b6]
1: /usr/bin/X(xf86SigHandler+0x6f) [0x47d63f]
2: /lib64/libc.so.6 [0x7f6271639370]
3: /usr/bin/X(FindGlyphRef+0x2c) [0x51e90c]
4: /usr/bin/X(FindGlyphByHash+0x28) [0x51ef78]
5: /usr/bin/X [0x52b279]
6: /usr/bin/X(Dispatch+0x384) [0x446ee4]
7: /usr/bin/X(main+0x3b5) [0x42d0d5]
8: /lib64/libc.so.6(__libc_start_main+0xfd) [0x7f6271624a2d]
9: /usr/bin/X [0x42c559]

Fatal server error:
Caught signal 11.  Server aborting


Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
Please also check the log file at "/var/log/Xorg.0.log" for additional information.

rpm -qf /usr/share/fonts/cjkuni/ukai.ttc
error: file /usr/share/fonts/cjkuni/ukai.ttc: No such file or directory

Version-Release number of selected component (if applicable):
cjkuni-fonts-common-0.2.20080216.1-23.fc11.noarch
cjkuni-uming-fonts-0.2.20080216.1-23.fc11.noarch
xorg-x11-server-Xorg-1.6.1.901-1.fc11.x86_64

Steps to Reproduce:
1. use X server
  
Actual results:
Crash

Expected results:
No crash

Additional info:
Sorry for report missing any details but I'm unsure how to reproduce and what caused crash... I'll update it if I'll find something useful.
Comment 1 Caius Chance 2009-06-16 19:47:43 EDT
The ukai is now contained by cjkuni-ukai-fonts package. Please update .spec file of X to reflect that.

Also, sorry that I have reassigned to xorg.x11 because I have no idea which package is responsible to 'Requires' the font package.

Regards
Comment 2 Adam Jackson 2009-06-19 14:53:46 EDT
The freetype thing is a red herring, FindGlyphRef doesn't call into freetype at all.

3: /usr/bin/X(FindGlyphRef+0x2c) [0x51e90c]

% echo 0x51e90c | eu-addr2line -e /usr/lib/debug/usr/bin/Xorg.debug
/usr/src/debug/xorg-server-1.6.1.901/render/glyph.c:152

That line is:

    CARD32      tableSize = hash->hashSet->size;

Which suggests that either hash or hashSet are NULL somehow; almost certainly hashSet, since hash is a pointer to a global array.
Comment 3 Martin Naď 2009-06-22 16:22:27 EDT
Created attachment 348992 [details]
Xorg.0.log

I can reproduce
Comment 4 Matěj Cepl 2009-06-22 16:33:25 EDT
Brother Yahoo! Search sees this only on Fedora.
Comment 5 Kyle Pablo 2009-06-30 15:42:56 EDT
I get this error. See attachment.
Comment 6 Kyle Pablo 2009-06-30 15:44:00 EDT
Created attachment 350016 [details]
Xorg.0.log.old
Comment 7 Caius Chance 2009-06-30 19:28:37 EDT
I do not agree to keep creating symlinks for backward compatibility. Package maintainer would be more appropriate to, make the package looking for the latest location of required fonts. It might be more applicable to do with fontconfig than hard coding path name.
Comment 8 Caius Chance 2009-06-30 19:57:59 EDT
ukai.ttc is packed in cjkuni-ukai-fonts which will be installed to /usr/share/fonts/cjkuni-ukai/ . Hence, please kindly update to the latest path.
Comment 9 Robert Irelan 2009-07-11 01:00:04 EDT
Created attachment 351327 [details]
My Xorg log file showing the backtrace

I am encountering this bu
 FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1g fairly frequently (once to twice a day) on Fedora 11 x86_64. At first, when I looked in the log file, I saw the message "FreeType: couldn't open face /usr/share/fonts/cjkuni/ukai.ttc: 1" in the file, so I installed the cjkuni-ukai-fonts.noarch package from Yum. Now, Xorg has crashed again, but the Freetype message doesn't appear in the log file. I'm attaching my log file in case you can get any clues from it. As you can see, I'm running the nvidia driver. I don't know if this is related or not.
Comment 10 Michal Schmidt 2009-07-11 02:56:41 EDT
Robert, your crash is somewhere inside of nvidia_drv.so (the proprietary driver), so it's a different bug (Nvidia's, not Fedora's).
Comment 11 Jaroslav Reznik 2009-07-20 09:20:56 EDT
Hm, another crash. Same backtrace but now no freetype error and it crashed without any activity. First time I thought it was caused by browsing and not having the ukai font.
Comment 12 Kyle Pablo 2009-07-22 12:37:44 EDT
Xorg crashed on me again.  See attachment.
Comment 13 Kyle Pablo 2009-07-22 12:38:33 EDT
Created attachment 354733 [details]
Xorg log crash
Comment 14 Nathan G. Grennan 2009-09-24 18:30:48 EDT
Created attachment 362577 [details]
Xorg log file with backtrace of the crash

I just ran into this bug on fully up to date Fedora 11 x86_64.

I saw this when using konsole when holding down the page up key while looking at a .sql file with binary data in it. I recently switched to konsole from gnome-terminal.
Comment 15 Caius Chance 2009-09-27 19:50:07 EDT
$ rpm -ql cjkuni-ukai-fonts |grep ukai.ttc
/usr/share/fonts/cjkuni-ukai/ukai.ttc

$ rpm -q cjkuni-ukai-fonts
cjkuni-ukai-fonts-0.2.20080216.1-26.fc11.noarch

Please update the location of ukai.ttc.

IMHO, any app shouldn't hard-core the location of font files. Hence, I don't think it's appropriate to create any symlinks between old and the latest location.

Cheers.
Comment 16 Matěj Cepl 2009-11-05 13:32:16 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 17 Jaroslav Reznik 2009-11-19 06:50:19 EST
I hadn't experience this crash for about three weeks, for me it looks like it's fixed. For me - you can close it, I'll reopen it in case of reocurrence.
Comment 18 Caius Chance 2009-12-26 13:39:19 EST
Please close this if bug is not reproducible. Thank you very much.
Comment 19 Adam Jackson 2010-08-30 16:17:59 EDT
I believe this is fixed with 185185eeb44a277c324be0f58a4b4a469b56b69b in xserver 1.9.

Note You need to log in before you can comment on or make changes to this bug.